To follow along with this book, you’ll need the following:

  • IntelliJ IDEA Community Edition 2019.1.3 or later, available at https://www.jetbrains.com/idea/. This is the environment in which you’ll develop the sample code in this book.
  • Kotlin Plugin for IntelliJ IDEA v1.3.40 or later, installed (if not included by default) by going to IntelliJ IDEA Preferences on macOS (or Settings on Windows/Linux) and choosing Plugins, then searching on “Kotlin”.
  • Java SE Development Kit 8 or later. Most of the code in this book will be run on the Java Virtual Machine or JVM, for which you need a Java Development Kit or JDK. The JDK can be downloaded from Oracle at http://www.oracle.com/technetwork/java/javase/downloads/index.html.
  • In Chapters 24 and 25, you’ll have the option of using a text editor such as Visual Studio Code instead of IntelliJ IDEA.
  • In Chapter 26, in place of IntelliJ IDEA, you’ll use Android Studio 3.5 or later and Xcode 10.3 or later to build a Kotlin Multiplatform app.

If you haven’t installed the latest versions of IntelliJ IDEA Community Edition, the Kotlin Plugin, and JDK 8, be sure to do that before continuing with the book. Chapter 1: “Your Kotlin Development Environment” will show you how to get started with IntelliJ IDEA to run Kotlin code on the JVM.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

Have feedback to share about the online reading experience? If you have feedback about the UI, UX, highlighting, or other features of our online readers, you can send them to the design team with the form below:

© 2021 Razeware LLC